import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * This class can save your highscore.
 * It uses the built in PlayerData class in Greenfoot 2.2.
 * You're free to use this in your own projects, but you have to put my name(Sven van Nigtevecht) in the description.
 * 
 * @author Sven van Nigtevecht
 * @version 1.0
 */
public class Saver
{
    private PlayerData player;
    
    /**
     * This is called when you create objects from the class Saver.
     */
    public Saver()
    {
        if (PlayerData.isStorageAvailable() ) {
            if (PlayerData.getMyData() != null) {
                player = PlayerData.getMyData();
            }
        }
    }
    
    /**
     * This saves a highscore.
     */
    public void saveHighscore(int score)
    {
        if (PlayerData.isStorageAvailable() ) {
            if (player !=null) {
                if (score > player.getScore() ) {
                    player.setScore(score);
                    player.store();
                }
            }
        }
    }
}